#ifndef BilderV_H
#define BilderV_H

#include <Text.h>
#include <Bild.h>

using namespace Framework;

class BilderV
{
public:
	// nicht constant
	virtual bool add( const char *name, Bild *bild ) = 0;
	virtual bool set( const char *name, Bild *bild ) = 0;
	virtual bool remove( const char *name ) = 0;
	virtual void setNext( BilderV *next ) = 0;
	virtual void deleteAll() = 0;
	virtual void release() = 0;
	// constant
	virtual Bild *get( const char *name ) const = 0;
	virtual Bild *z( const char *name ) const = 0;
	virtual Bild *zThis() const = 0;
	virtual BilderV *zNext() const = 0;
	virtual char *getName() const = 0;
};

#endif